#include <iostream>
#include <queue>

#define M 1537

using namespace std;

int dist[M];

int main()
{
    int N;

    cin >> N;

    int n = N - 1;

    int l = -1;
    int r = n;

    while(l < r - 1){
        int m = (l + r) / 2;
        if(n - 5 * m < M){
            r = m;
        }
        else{
            l = m;
        }
    }

    int s = r;
    n -= 5 * s;

    for(int i = 0; i < M; i++){
        dist[i] = -1;
    }

    dist[0] = 0;
    int jumps[3] = {3,4,5};

    queue<int> q;
    q.push(0);
    while(q.size() > 0){
        int d = q.front();
        q.pop();
        for(int i = 0; i < 3; i++){
            if(d + jumps[i] < M && dist[d + jumps[i]] == -1){
                dist[d + jumps[i]] = dist[d] + 1;
                q.push(d + jumps[i]);
            }
        }
    }
    cout << (dist[n] == -1 ? -1 : s + dist[n] );

    return 0;
}
