#include "testlib.h"
#include <set>

using namespace std;

int main(int argc, char * argv[]) {
    registerTestlibCmd(argc, argv);

    int n = inf.readInt();
    int m = inf.readInt();

    int j = ans.readInt(0, n);
    int p = ouf.readInt(0, n);
    if (j == 0) {
       if (p == 0)
          quitf(_ok, "Accepted");
       else
          quitf(_wa, "Solution does not exist, but nonzero number in output");
    }
    if (p == 0)
       quitf(_wa, "Solution exists, but zero in output");

    set<int> used;
    long long p_sum = 0;

    for(;;) {
       if (used.count(p) > 0)
          quitf(_wa, "Duplicate number %d in output", p);
       used.insert(p);
       p_sum += p;
       if (ans.seekEof() || ouf.seekEof())
          break;
       j = ans.readInt(1, n);
       p = ouf.readInt(1, n);
    }

    if (!ouf.seekEof())
       quitf(_wa, "Too many numbers or extra data in output");

    if (!ans.seekEof())       
       quitf(_wa, "Too few numbers in output");

    if (p_sum != m)
       quitf(_wa, "Sum is not equal to %d", m);

     quitf(_ok, "Accepted");
}
