#include<iostream>
#include<vector>
#pragma GCC optimize ("O0")

using namespace std;

int n, m;
vector <vector<bool>> used;;
unsigned int ans = 0;
int di[4] = {1, 0, -1,  0};
int dj[4] = {0, 1,  0, -1};

bool check_used(int i, int j)
{
    return i >= 0 && i < n && j >= 0 && j < m && used[i][j];
}

bool check_good(int i, int j)
{
    if (i < 0 || i >= n || j < 0 || j >= m)
        return false;
    int count = check_used(i - 1, j) + check_used(i + 1, j) + check_used(i, j - 1) + check_used(i, j + 1);
    return count == 1;
}

int main()
{
    cin >> n >> m;
    used.resize(n, vector<bool>(m));
    int i = 0;
    int j = 0;
    int dir = 0;
    while (true)
    {
        ++ans;
        used[i][j] = true;
        int i1 = i + di[dir];
        int j1 = j + dj[dir];
        if (check_good(i1, j1))
        {
            i = i1;
            j = j1;
            continue;
        }
        dir = (dir + 1) % 4;
        i = i + di[dir];
        j = j + dj[dir];
        if (!check_good(i, j))
            break;
    }
    cout << ans << endl;
}

