#include <iostream>

#include "testlib.h"

using namespace std;

// 22 tests

void writeTest(int testNum){
    startTest(testNum);

    if(testNum == 1){
        cout << "5\n";
    }
    else if(testNum == 2){
        cout << "9\n";
    }
    else if(testNum <= 4){
        cout << testNum << "\n";
    }
    else if(testNum <= 8){ // N <= 30, 30 points
        if(testNum <= 6){// counter (N + 4) / 5 tests
            cout << 5 * rnd.next(2, 5) + 1 << "\n";
        }
        else{
            cout << 5 * rnd.next(2, 5) + testNum % 5 << "\n";
        }
    }
    else if(testNum <= 12){ // N <= 100000, 50 points
        cout << (testNum - 8) * 20000 + testNum << "\n";
    }
    else if(testNum <= 21){
        if(testNum <= 16){
            cout << 2000000000 - rnd.next(100, 1000) * 5 - 4 << "\n";
        }
        else{
            cout << 2000000000 - rnd.next(100, 1000) << "\n";
        }
    }
    else{
        cout << 2000000000 << "\n";
    }

}

int main(int argc, char* argv[])
{
    int firstTest = atoi(argv[1]);
    int lastTest = atoi(argv[2]);

    for(int testNum = firstTest; testNum <= lastTest; testNum++){
        writeTest(testNum);
    }

    return 0;
}
