import sys

def quit(c):
    print(c)
    sys.exit(0)

n = int(input())

a = [[] for i in range(n)]

for i in range(n):
    a[n - 1 - i] = list(input())

x1 = n + 1
x2 = -1
y1 = n + 1
y2 = -1

for y in range(n):
    for x in range(n):
        if a[y][x] == '#':
            x1 = min(x1, x)
            x2 = max(x2, x)
            y1 = min(y1, y)
            y2 = max(y2, y)

if x1 > x2:
    quit("X")

def find_rect():
    for y in range(y1, y2 + 1):
        for x in range(x1, x2 + 1):
            if a[y][x] == '.':
                y3 = y
                x3 = x
                y4 = y
                x4 = x
                while y4 + 1 <= y2 and a[y4 + 1][x] == '.':
                    y4 += 1
                while x4 + 1 <= x2 and a[y][x4 + 1] == '.':
                    x4 += 1
                for y in range(y3, y4 + 1):
                    for x in range(x3, x4 + 1):
                        if a[y][x] == '#':
                            quit("X")
                        else:
                            a[y][x] = '#'
                return (x3, x4, y3, y4)
    return None

res = find_rect()

if res is None:
    quit("I")
else:
    x3, x4, y3, y4 = res

res = find_rect()
if res is None:
    # Один прямоугольник внутри
    if  x1 < x3 <= x4 < x2 and y1 < y3 <= y4 < y2:
        quit("O")
    elif x1 < x3 <= x4 == x2 and y1 < y3 <= y4 < y2:
        quit("C")
    elif x1 < x3 <= x4 == x2 and y1 < y3 <= y4 == y2:
        quit("L")
    else:
        quit("X")
else:
    x5, x6, y5, y6 = res

res = find_rect()
if res is None:
    # Два прямоугольника внутри
    if x1 < x3 == x5 <= x4 == x6 < x2 and y1 == y3 <= y4 < y5 <= y6 == y2:
        quit("H")
    elif x1 < x3 == x5 <= x6 < x4 == x2 and y1 == y3 <= y4 < y5 <= y6 < y2:
        quit("P")
    else:
        quit("X")
else:
    quit("X")



